# irdb-get

Section: User Commands (1)

Updated: Last change: Aug 2015

Index Return to Main Contents

## NAME

irdb-get

- list, search and download lirc configuration files.

## SYNOPSIS

irdb-get update irdb-get find <string> irdb-get info <id> irdb-get

download <

id> irdb-get list [pattern] irdb-get

find-driver <

string>

## DESCRIPTION

irdb-get

can list, search and download lirc remote configuration files. It works by downloading an index file, making all operations besides the actual download local. Entries in the index are identified by an

id. Such an id

is on the form

dir/remote e. g., x10/ati_remote_wonder_III

## COMMANDS

update
  Download the index from the remote repository.
find <string>
  List all entries in the index file matching <string>. Matching is done using regular shell match syntax (i. e., not regex).
find-driver <string>
  List all entries in the index with a given driver. The matching is exact, no wildcards.
info <id>
  Print some more info about a given entry.
download <id>
  Download the configuration file for a given entry. The filename is printed on stdout.
list <pattern>
  List entries matching <pattern>. <pattern> is on the form dir/remote e. g., x10/ati* or */ati_remote_wonder* .

  The first word in the list is something like -RL- where the letters represent:

    R
      raw configuration.
    T
      remote has timing information i. e., it can be used with generic capture devices.
    L
      remote has a lircmd config file.
    P
      remote has a photo
-h , --help
  Print help message.

## FILES

~/.cache/remotes.list
  The index file downloaded on demand or by the update command.

## SEE ALSO

http://sourceforge.net/projects/lirc-remotes

## Index

NAME
SYNOPSIS
DESCRIPTION
COMMANDS
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 23:03:22 GMT, November 23, 2015